#!/usr/bin/env python
import os, ConfigParser

def set_project_config(section, name, value):
    """Changing the base configuration file,
    set_base_config(parent, section, name, value)"""
    cf = os.path.join(os.path.dirname(__file__), "fileconfig.ded")
    config = ConfigParser.ConfigParser()
    config.read(cf)
    config.set(section, name, value)
    with open(cf,"wb") as configf:
        config.write(configf)

def get_project_config(section, name):
    """Get value for a basic configuration setting
    get_base_config(parent, section, name)"""
    cf = os.path.join(os.path.dirname(__file__), "fileconfig.ded")
    config = ConfigParser.ConfigParser()
    config.read(cf)
    return config.get(section, name)